HELM(1)

NAME

helm-verify - verify that a chart at the given path has been signed and is valid

SYNOPSIS

helm verify [flags] PATH

DESCRIPTION

Verify that the given chart has a valid provenance file.

Provenance files provide crytographic verification that a chart has not been tampered with, and was packaged by a trusted provider.

This command can be used to verify a local chart. Several other commands provide the 'helm package --sign' command.

OPTIONS

--keyring="~/.gnupg/pubring.gpg"
    keyring containing public keys

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    enable verbose output

--home="~/.helm"
    location of your Helm config. Overrides $HELM_HOME

--host="localhost:44134"
    address of tiller. Overrides $HELM_HOST

--kube-context=""
    name of the kubeconfig context to use

--tiller-namespace="kube-system"
    namespace of tiller

SEE ALSO

helm(1)

HISTORY

19-May-2017 Auto generated by spf13/cobra